/*
 * ============LICENSE_START=======================================================
 *  Copyright (C) 2021 Nordix Foundation
 *  ================================================================================
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  SPDX-License-Identifier: Apache-2.0
 *  ============LICENSE_END=========================================================
 */
package org.openecomp.sdc.be.ui.model;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import org.openecomp.sdc.be.datatypes.enums.ModelTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * This class is responsible for holding all required fields from the create Model post request.
 * It also validates the Model 'name' field.
 */
@Data @AllArgsConstructor @NoArgsConstructor
public class ModelCreateRequest {

    @NotNull(message = "Model name cannot be null")
    @Size(min = 2, message = "Model name cannot be empty")
    private String name;

    private String derivedFrom;

    @NotNull(message = "Model type cannot be null")
    private ModelTypeEnum modelType;

}
